﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="View.ascx.cs" Inherits="WillStrohl.Modules.BookmarkCollector.View" %>
<%@ Import Namespace="DotNetNuke.Services.Localization" %>
<asp:Panel ID="pnlBookmarks" runat="server">
    <asp:Repeater ID="rptBookmarks" runat="server">
        <HeaderTemplate>
            <div id="wnsBookmarkWrapper">
                <ul class="wnsBookmarkList">
        </HeaderTemplate>
        <ItemTemplate>
            <li class="wnsBookmarkItem">
                <span class="wnsBookmarkItemWrap">
                    <% if (IsEditable && PortalSettings.UserMode == DotNetNuke.Entities.Portals.PortalSettings.Mode.Edit) 
                       { %>
                    <a href="<%# EditBookmarkUrl(DataBinder.Eval(Container.DataItem, "Id")) %>"><img src="<%= EditIconPath %>" alt="<%= Localization.GetString("cmdEdit.Text", Localization.SharedResourceFile) %>"/></a> &nbsp;
                    <% } %>
                    <a class="wnsListLink" href="<%# DataBinder.Eval(Container.DataItem, "Url") %>" target="_blank"><%# DataBinder.Eval(Container.DataItem, "Title") %></a>
                </span>
            </li>
        </ItemTemplate>
        <FooterTemplate>
                </ul>
            </div>
        </FooterTemplate>
    </asp:Repeater>
</asp:Panel>
<asp:Panel ID="pnlMessage" runat="server">
    <div class="dnnFormMessage dnnFormInfo">
        <%= Localization.GetString("NoRecords.Text", LocalResourceFile) %>
    </div>
</asp:Panel>